apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

commonLabels:
  app: hello

resources:
- ./kube-prometheus-stack.yaml
namespace: prometheus


# configMapGenerator:
# - name: kube-prometheus-stack-values
#   namespace: prometheus
#   files:
#   - values.yaml=cm-values.yaml

# generatorOptions:
#   labels:
#     kustomize.generated.resource: somevalue
#   annotations:
#     annotations.only.for.generated: othervalue
#   disableNameSuffixHash: false
# resources:
# - ./kube-prometheus-stack.yaml